import request from '@/utils/request'

// 查询装置培训跟踪b列表
export function listTrainingbcc(query) {
  return request({
    url: '/training/trainingbcc/list',
    method: 'get',
    params: query
  })
}

// 查询装置培训跟踪b详细
export function getTrainingbcc(id) {
  return request({
    url: '/training/trainingbcc/' + id,
    method: 'get'
  })
}

// 查询装置培训跟踪b详细
export function getTrainingbccStaffIds(id) {
  return request({
    url: '/training/trainingbcc/staffIds/' + id,
    method: 'get'
  })
}


// 新增装置培训跟踪b
export function addTrainingbcc(data) {
  return request({
    url: '/training/trainingbcc',
    method: 'post',
    data: data
  })
}

// 修改装置培训跟踪b
export function updateTrainingbcc(data) {
  return request({
    url: '/training/trainingbcc',
    method: 'put',
    data: data
  })
}

// 修改装置培训跟踪b
export function updateTrainingbccStaffIds(data) {
  return request({
    url: '/training/trainingbcc/updateStaffIds',
    method: 'post',
    data: data
  })
}


// 删除装置培训跟踪b
export function delTrainingbcc(id) {
  return request({
    url: '/training/trainingbcc/' + id,
    method: 'delete'
  })
}

// 导出装置培训跟踪b
export function exportTrainingbcc(query) {
  return request({
    url: '/training/trainingbcc/export',
    method: 'get',
    params: query
  })
}

// 导出装置培训跟踪b
export function exportTrainingbccSign(query) {
  return request({
    url: '/training/trainingbcc/exportSign',
    method: 'get',
    params: query
  })
}
